// THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
// 5724-J34 COPYRIGHT International Business Machines Corp. 2010
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or
// disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

function showHideSimpleCollectionButtons(prop){
	var collectionTable = document.getElementById(prop + "CollectionTable");
	var trs = collectionTable.tBodies[0].rows;
	var count = 0;
	for (var i=1; i<trs.length; i++) {
		// if there are 2 divs for any row and the second one is display:none, then display the edit button
		if (trs[i].style.display != "none"){
			tds = trs[i].cells;
			for (var j=1; j<tds.length; j++) {
				if (tds[j].getElementsByTagName("div").length > 1) {
					if (tds[j].getElementsByTagName("div")[1].style.display == "none") {
						count++;
					}
				}
			}
		}
			
	}
	
	var buttonTable = document.getElementById(prop + "ButtonTable");
	if ( buttonTable != null){
		if ( count > 0 ){
			var trs = buttonTable.tBodies[0].rows;
			trs[0].cells[1].style.display = "";	
		} else {
			var trs = buttonTable.tBodies[0].rows;
			trs[0].cells[1].style.display = "none";
		}
	}
}

function enterKeyNewProperty(e, prop){
	var keyCodeChar;  
			      
	if (e && e.which){
		keyCodeChar = e.which;
	}
	else{
		e = event;
		keyCodeChar = e.keyCode;
	}
			    
	if (keyCodeChar == 13){
		newProperty(prop);	
		return false;	
	}
	return true;
}


function newProperty(prop){
	var collectionTable = document.getElementById(prop + "CollectionTable");
	var trs = collectionTable.tBodies[0].rows;
	
	var tr = document.getElementById(prop + "HiddenAddRow");
	var newNode = tr.cloneNode(true);

	function addRow() {
		collectionTable.tBodies[0].insertBefore(newNode,tr);

		var trs = collectionTable.tBodies[0].rows;
		trs[trs.length-2].removeAttribute("id");
		trs[trs.length-2].style.display = "";
		tds = trs[trs.length-2].cells;
		var inputToClick = null;
		
		for (var j=0; j<tds.length; j++) {
			var z = trs.length-3;
			var label = tds[j].getElementsByTagName("label")[0];
			var input = tds[j].getElementsByTagName("input")[0];
			var select = tds[j].getElementsByTagName("select")[0];
			var div   = tds[j].getElementsByTagName("div")[0];
			
			if ( j == 1 && input)
				input.focus();
			
			if (j==0)
			{
				label.title = label.title + (z + 1);
				div.title = div.title + (z + 1);
			}

			if (input) {
				input.id = input.id + z;
				input.name = input.name + z;
				if (input.onclick) {
					// the following works for enableDisable calls of the format enableDisable('controla:fielda,controlb:fieldb');
					var click = input.onclick.toString();
					click = click.replace(/:/g,z + ":");
					click = click.replace(/,/g,z + ",");
					click = click.replace("\")", z + "\")");
					input.onclick = new Function(click.substring(click.indexOf("{")+1, click.length - 2));
					inputToClick = input;
				}
			}
			if (select) {
				select.id = select.id + z;
				select.name = select.name + z;
			}
			if (label) {
				label.htmlFor = label.htmlFor + z;
			}
			// now handle any additional inputs like from a custom column. tbd - in the future could be more than just extra inputs
			if (tds[j].getElementsByTagName("input").length > 1)
			{
				for (var k=1; k<tds[j].getElementsByTagName("input").length; k++)
				{
					input = tds[j].getElementsByTagName("input")[k];
					input.id = input.id + z;
					input.name = input.name + z;
					if (input.onclick) {
						var click = input.onclick.toString();
						click = click.replace(/:/g,z + ":");
						click = click.replace(/,/g,z + ",");
						click = click.replace("\")", z + "\")");
						input.onclick = new Function(click.substring(click.indexOf("{")+1, click.length - 2));
					}
			    }
			}
		}
		if (inputToClick) {
			inputToClick.click();
		}
		showHideSimpleCollectionButtons(prop);
	}
	window.setTimeout(addRow, 0);
} 

function editProperty(prop) {
	var collectionTable = document.getElementById(prop + "CollectionTable");
	var trs = collectionTable.tBodies[0].rows;

	for (var i=1; i<trs.length; i++) {
		
		tds = trs[i].cells;
		if (tds[0].getElementsByTagName("input")[0].checked){
			for (var j=1; j<tds.length; j++) {
				// if there are 2 <div> tags, set the first one not visible and the second one visible
				if (tds[j].getElementsByTagName("div").length > 1) {
					tds[j].getElementsByTagName("div")[0].style.display = "none";
					tds[j].getElementsByTagName("div")[1].style.display = "block";
					var input = tds[j].getElementsByTagName("input")[0];
					if (input) {
						input.disabled = false;
						input.className = "textEntry";
						input.style.color = "#000000";
					}
				}
			}
			tds[0].getElementsByTagName("input")[0].checked = false;
		} 
	}
	showHideSimpleCollectionButtons(prop);
}

function deleteProperty(prop){
	var collectionTable = document.getElementById(prop + "CollectionTable");
	var trs = collectionTable.tBodies[0].rows;
	
	for (var i=1; i<trs.length; i++) {
		tds = trs[i].cells;
		if (tds[0].getElementsByTagName("input")[0].checked){
			for (var j=1; j<tds.length; j++) {
				if (tds[j].getElementsByTagName("input").length > 0) {
					tds[j].getElementsByTagName("input")[0].value = "";
				}
			}
			trs[i].style.display = "none";
		} 	
	}
	
	var rowCount = 0;
	for (var i=1; i<trs.length; i++) {
		if (trs[i].style.display != "none" ){
			rowCount++;
		}
	}
	
	if (rowCount == 0){
		newProperty(prop);	
	}
	
	showHideSimpleCollectionButtons(prop);
}

//function enableFormAttribute(attribute) {
//	document.getElementById(attribute).disabled=false;
//	document.getElementById(attribute).style.backgroundColor="#ffffff";
//}
		
function disableFormAttribute(attribute) {
        console.log("in disableFormAttribute");	
        document.getElementById(attribute).disabled=true;
        document.getElementById(attribute).style.backgroundColor="#dddddd";
}	

function findCatalogServerPortElements() {
        //catalogServerCollectionFormContents_
}
