#!/bin/sh

# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# 5724-J34, 5655-P28  (C) COPYRIGHT International Business Machines Corp., 2006, 2010
# All Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.

setOGHome()
{
    if [ "${REPLACE_OBJECTGRID_HOME:=}" != "" ] && [ -d ${REPLACE_OBJECTGRID_HOME} ]
    then
        OBJECTGRID_DIR=${REPLACE_OBJECTGRID_HOME}
    else
		OBJECTGRID_DIR=`dirname ${0}`/../
    fi

    CUR_DIR=`pwd`
	cd "${OBJECTGRID_DIR}"
	OBJECTGRID_HOME=`pwd` 
	cd "${CUR_DIR}"
}
setOGHome

# Comment out below line to not use the ORB shipped in the lib endorsed directory
OBJECTGRID_ENDORSED_DIRS="${OBJECTGRID_HOME}"/lib/endorsed

# Uncomment out below line to use WebSphere Real Time Java
#WXS_REAL_TIME_JAVA="-Xrealtime -Xgcpolicy:metronome -Xgc:targetUtilization=80 "

if [ -z "$JAVA_HOME" ]
then
    JAVA_HOME="${OBJECTGRID_HOME}/../java"
fi

if [ -d "${JAVA_HOME}/jre" ]; then
    JDK_DEFAULT_ENDORSED_DIRS="${JAVA_HOME}/jre/lib/endorsed"
else 
    JDK_DEFAULT_ENDORSED_DIRS="${JAVA_HOME}/lib/endorsed"
fi;

PATH="${JAVA_HOME}"/ibm_bin:"${JAVA_HOME}"/bin/:"${JAVA_HOME}"/jre/bin:$PATH

if [ -z "${OBJECTGRID_ENDORSED_DIRS}" ]; then
    JAVA_ENDORSED_DIRS="-Djava.endorsed.dirs=${JDK_DEFAULT_ENDORSED_DIRS}"
else 
    JAVA_ENDORSED_DIRS="-Djava.endorsed.dirs=${OBJECTGRID_ENDORSED_DIRS}:${JDK_DEFAULT_ENDORSED_DIRS}"
fi;

export OBJECTGRID_HOME JAVA_HOME JAVA_ENDORSED_DIRS WXS_REAL_TIME_JAVA PATH
